[Unity][安卓]Unity Android SDK配置

版权声明:本博客一本正经胡说八道,文章内容不能作参考。本文为博主原创文章,未经博主允许不得转载。该博客所用图片资源均作学习分享用途,仅供参考,请勿用于商业行为。传播者自负。 如果本博客所写文章侵犯到您的权益,请主动联系留言,我们将及时删除相关内容。 https://blog.csdn.net/BuladeMian/article/details/78392393


其实 不用 下载 SDK Manager。由于 现在的 Android Studio 3.0 已经包含了 SDK ,只用修改 UNITY SDK 的位置 为 AS3.0 的 SDK 文件位置。


Unity 配置 APK 文件,是需要 Android SDK 

百度 Android SDK下载地址

http://www.newasp.net/soft/71058.html#downloaded

解压 下载 的压缩包,然后 运行 SDK Manager.exe



勾选 Android 版本,从 UNITY 最低 版本 API 15 Android 4.0

开始 安装。等待安装结束。




其实 不用 下载 SDK Manager。由于 现在的 Android Studio 3.0 已经包含了 SDK ,只用修改 UNITY SDK 的位置 为 AS3.0 的 SDK 文件位置。

---------------------------------------------------------------------------------------------------

先打开 Android Studio 3.0 ,查看 AS 的 SDK 文件夹位置。(记得安装 UNITY 最低 SDK 版本以上的 Android 版本)

勾选下面的 Android 版本,最好 是Android 4.1 (UNITY 最低 SDK 版本)以上的版本都 勾选,进行安装。点击右下角的 apply 和确定,就AS3.0就可以 后台下载。



在这里看UNITY 的 最低 安卓版本



打开 UNITY 的 SDK 文件夹,设置成 UNITY 的 SDK 文件夹。

(如果 UNITY 的 SDK 文件夹 与 AS 的 ADK 文件夹不一致。就会导致

Error building Player: UnityException: SDK Build Tools version 19 < 23

这样类似的问题。




UNITY 打包出现问题

CommandInvokationFailure: Unable to convert classes into dex format.
E:/Program Files/Java/jdk1.8.0_151\bin\java.exe -Xmx2048M -Dcom.android.sdkmanager.toolsdir="F:/MyDownloads/android-sdk_r24.4.1-windows/android-sdk-windows\tools" -Dfile.encoding=UTF8 -jar "D:\Program Files\Unity\Editor\Data\PlaybackEngines\AndroidPlayer/Tools\sdktools.jar" -


删除 这个 文件夹路径里面 的 class.jar (记得备份)



如果正常,就可以 打包 APK 文件。




Exception: JNI: Init'd AndroidJavaClass with null ptr!
需要在真正的安卓 上面试。
展开阅读全文

没有更多推荐了,返回首页